program add64tst;

%include clunk.typ;

var
  value1,value2,sum	: clunk_type;
  ids : integer;

%include add64.ext;

begin
  write('Enter value1[1..4]:');
  readln(value1[1],value1[2],value1[3],value1[4]);
  write('Enter value2[1..4]:');
  readln(value2[1],value2[2],value2[3],value2[4]);
  
  add64(value1,value2,sum,ids);

  writeln('ids:',ids);
  writeln('Value1:',value1[1],value1[2],value1[3],value1[4]);
  writeln('Value2:',value2[1],value2[2],value2[3],value2[4]);
  writeln('Sum   :',sum[1],sum[2],sum[3],sum[4]);

end.
